summaryrefslogtreecommitdiff
path: root/.config/awesome/autorun.sh
diff options
context:
space:
mode:
authortinfoil-hat.net <mail@tinfoil-hat.net>2023-08-14 08:18:04 +0200
committertinfoil-hat.net <mail@tinfoil-hat.net>2023-08-14 08:18:04 +0200
commitaf4648c3dfc68056bc0b2bdd4467921daa351885 (patch)
tree481b0c07295f1acf244bd500b6540cd4b86b3d91 /.config/awesome/autorun.sh
parentac3ff542a9e7b7b8c96df956600ac1889e29e404 (diff)
downloaddotfiles-af4648c3dfc68056bc0b2bdd4467921daa351885.tar.gz
dotfiles-af4648c3dfc68056bc0b2bdd4467921daa351885.tar.bz2
dotfiles-af4648c3dfc68056bc0b2bdd4467921daa351885.zip
Update 2023-08-14 08:18 Linux/x86_64HEADmaster
Diffstat (limited to '.config/awesome/autorun.sh')
-rwxr-xr-x.config/awesome/autorun.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/.config/awesome/autorun.sh b/.config/awesome/autorun.sh
new file mode 100755
index 0000000..e5991fd
--- /dev/null
+++ b/.config/awesome/autorun.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+run() {
+ if ! pgrep -f "$1" ;
+ then
+ "$@"&
+ fi
+}
+
+run blueman-applet
+run nm-applet &
+run picom &
+run pnmixer &
+run xrdb -load ~/.Xresources &
+run feh --bg-scale Bilder/wall.jpg &
+run seafile-applet &
+run nextcloud &
+run redshift &
+run urxvt